/* ====================
  GLOBAL STYLES
/* ==================== */
sup {
  font-size: 0.5em;
}

.bg-custom {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

/* ====================
  SECTION - Two Column CTA
/* ==================== */
.two-column-ctas {
  text-align: center;

  @media only screen and (min-width: 1024px) {
    background-size: contain;
  }

  .two-column-cta__tabs {
    position: relative;
    grid-template-columns: 1fr 1fr;
    display: grid;
    margin-bottom: 3rem;

    &:after {
      content: "";
      position: absolute;
      bottom: 0.0625rem;
      display: block;
      border-radius: 0.3125rem;
      width: 100%;
      height: 2px;
    }

    @media only screen and (min-width: 1024px) {
      display: none;
    }
  }

  .two-column-cta__tab {
    border-radius: 0;

    span {
      display: block;
      padding: 1rem;
    }

    &[aria-selected="true"] {
      position: relative;
      border-bottom: 2px solid rgb(var(--button-background-primary));
      font-weight: 600;

      &:after {
        content: "";
        position: absolute;
        bottom: 0;
        z-index: 2;
        display: block;
        border-radius: 0.3125rem;
        width: 100%;
        height: 4px;
      }
    }
  }

  .two-column-cta__columns {
    grid-template-columns: 1fr;
    gap: 3.125rem;
    display: grid;

    @media only screen and (min-width: 1024px) {
      grid-template-columns: 1fr 1fr;
    }

    .two-column-cta__column {
      display: none;
      border-radius: 35px;

      &.active {
        display: block;
      }

      @media only screen and (min-width: 1024px) {
        display: block;
        padding: 2.25rem;
      }

      .two-column-cta__text {
        font-size: 1.125rem;
      }

      .two-column-cta__content {
        .two-column-cta__links:not(:empty) {
          grid-template-columns: 1fr;
          gap: 1.25rem;
          display: grid;
          margin-top: 4.5rem;

          .two-column-cta__link {
            display: block;
          }
        }
      }
    }
  }
}

/* ====================
  SECTION - Product Specification Icons
/* ==================== */
.product-spec-icon__wrapper {
  grid-template-columns: repeat(2, 1fr);
  gap: 3.875rem;
  display: grid;
  font-size: 1.125rem;
  font-weight: 600;
  text-align: center;

  @media only screen and (min-width: 1024px) {
    grid-template-columns: repeat(5, 1fr);
  }
}

.product-spec-icon__spec-wrapper {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  display: flex;

  @media only screen and (max-width: 1024px) {
    &:last-child:nth-child(odd) {
      grid-column: 1 / -1;
    }
  }

  .product-spec-icon__icon-wrapper {
    position: relative;
    margin-bottom: 1rem;
    width: 100%;
    max-width: 4.0625rem;
    aspect-ratio: 1 / 1;

    .product-spec-icon__icon {
      position: absolute;
      width: 100%;
      height: 100%;
      inset: 0;
      object-fit: contain;
    }
  }
}

/* ====================
  SECTION - Breadcrumbs
/* ==================== */
.shopify-section--breadcrumbs {
  font-size: 0.875rem;

  .section {
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
  }

  .breadcrumbs__list {
    flex-wrap: wrap;
    display: flex;
  }

  .breadcrumbs__list-item {
    display: inline-block;

    &:not(:last-child) {
      align-items: center;
      display: flex;

      a {
        text-decoration: underline;
        text-underline-offset: 0.2rem;
        text-decoration-color: transparent;

        &:hover {
          text-decoration-color: inherit;
        }
      }

      &:after {
        content: "›";
        margin: -0.25rem 0.9375rem 0;
        font-size: 1.2rem;
        line-height: 1;
      }
    }

    &:last-child {
      font-weight: bold;
    }
  }
}

/* ====================
  SECTION - Description Soec Table
/* ==================== */
.shopify-section--description-spec-table {
  display: none !important;

  .hidden {
    display: none !important;
  }

  &:has(.variant-description-spec-table:not(.hidden)) {
    display: block !important;
  }
}

.description-spec-table__wrapper {
  .variant-description-spec-table {
    flex-direction: column;
    gap: 2.25rem;
    display: flex;

    @media only screen and (min-width: 991px) {
      flex-direction: row;
      align-items: flex-start;
      gap: 4.25rem;
    }

    &.hidden {
      display: none;
    }
  }

  .variant-description-spec-table__description-title {
    margin-bottom: 1.5rem;
    font-size: 0.9375rem;
  }

  .variant-description-spec-table__description {
    font-size: 0.875rem;

    @media only screen and (min-width: 991px) {
      width: 40%;
    }

    p + p {
      margin-top: 2rem;
    }
  }

  .variant-description-spec-table__table {
    display: none;
    padding: var(--calculated-section-spacing-inline);
    background-color: rgb(var(--footer-background));
    font-size: 0.875rem;
    margin-left: calc(var(--calculated-section-spacing-inline) * -1);
    margin-right: calc(var(--calculated-section-spacing-inline) * -1);

    &:has(.table-item) {
      display: block;
    }

    @media only screen and (min-width: 991px) {
      width: 60%;
      border-radius: 0.625rem;
      padding: 1rem 2.8125rem;
      margin-left: auto;
      margin-right: auto;
    }

    .table-item {
      display: flex;
      flex-direction: column;
      border-bottom: 0.0625rem solid rgb(var(--text-primary) / 0.4);
      padding: 1.5625rem 0;

      @media only screen and (min-width: 991px) {
        gap: 2.8125rem;
        flex-direction: row;
      }

      dt {
        width: 50%;
        font-weight: 700;

        @media only screen and (min-width: 1200px) {
          width: 25%;
        }
      }
    }

    .table-items-toggle {
      justify-content: center;
      align-items: center;
      display: flex;
      padding: 1.5625rem 0;
    }

    .table-items-toggle__button {
      justify-content: center;
      align-items: center;
      gap: 0.625rem;
      display: flex;

      &[aria-expanded="true"] .table-items-toggle__text:before {
        content: attr(data-less) !important;
      }

      &[aria-expanded="true"] .table-items-toggle__icon {
        transform: rotate(180deg);
      }

      .table-items-toggle__text:before {
        content: attr(data-all);
        display: inline-block;
      }
    }

    .table-items-toggle__icon {
      justify-content: center;
      align-items: center;
      display: flex;
      border-radius: 50%;
      width: 1.4375rem;
      height: 1.4375rem;
      background: rgb(var(--button-background-primary));
      color: rgb(var(--button-text-primary));

      svg {
        margin-top: 0.1rem;
      }
    }
  }
}

/* ====================
  BLOCK - PRODUCT MAIN - Product Specs Block
/* ==================== */

.product-specs {
  .variant-spec {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 1.875rem;
    display: flex;
    font-size: 0.875rem;

    @media only screen and (min-width: 575px) {
      flex-direction: row;
    }

    &.hidden {
      display: none;
    }

    .variant-spec__spec-sheet a,
    .variant-spec__kosher-cert a {
      flex-wrap: nowrap;
      align-items: center;
      gap: 0.5rem;
      display: flex;
    }
  }
}

/* ====================
  BLOCK - PRODUCT MAIN - Inventory Block
/* ==================== */
variant-inventory {
  .in-stock-messaging {
    font-size: 0.75rem;
  }
}

/* ====================
  BLOCK - PRODUCT MAIN - Variant Name
/* ==================== */
variant-name {
  font-size: 1.125rem;
  font-weight: 700;
}

/* ====================
  BLOCK - PRODUCT MAIN - Variant Picker
/* ==================== */
variant-picker {
  .variant-picker__option-values__header {
    display: none;
    width: 100%;
  }

  .variant-picker__option {

    &:has(.variant-picker__option-values__header) {
      legend:not(.variant-picker__option-values__header) {
        display: none;
      }
    }

    .variant-picker__option-values__header {
      display: block;
      font-size: 0.875rem;
      font-weight: 700;

      &:not(:first-child) {
        margin-top: 1.5rem;
      }
    }
  }
}